Package org.codehaus.groovy.control

## Class ParserPluginFactory

- java.lang.Object
- - org.codehaus.groovy.control.ParserPluginFactory

- Direct Known Subclasses:
    `Antlr4PluginFactory`, `AntlrParserPluginFactory`

      public abstract class ParserPluginFactory
      extends Object

  A factory of parser plugin instances.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ParserPluginFactory()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ParserPluginFactory` | `antlr2()` | Deprecated.
    `static ParserPluginFactory` | `antlr4()` | Creates the ANTLR 4 parser.
    `abstract ParserPlugin` | `createParserPlugin()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParserPluginFactory

          public ParserPluginFactory()

  - ### Method Detail

    - #### createParserPlugin

          public abstract ParserPlugin createParserPlugin()

    - #### antlr4

          public static ParserPluginFactory antlr4()

      Creates the ANTLR 4 parser.
      Returns:
        the factory for the parser

    - #### antlr2

          @Deprecated
          public static ParserPluginFactory antlr2()

      Deprecated.
      Creates the ANTLR 2 parser.
      Returns:
        the factory for the parser